package com.qmth.sop.common.enums;

/**
 * @Description: 考勤提交状态
 * @Author: CaoZixuan
 * @Date: 2023-08-24
 */
public enum DingSubmitStatusEnum {
    WILL_SUBMIT("工程师未提交考勤或撤回了考勤提交的状态", "待提交", "--", "未提交"),
    ALREADY_SUBMIT("工程师提交考勤", "已提交", "已提交", "已提交"),
    APPLY_WITHDRAW("工程师申请撤回考勤提交", "已提交", "申请撤回", "已提交"),
    AGREE_WITHDRAW("管理员同意撤回", "待提交", "已撤回", "未提交"),
    AGREE_DING("管理员同意考勤申请", "审核通过", "审核通过", "已提交");

    DingSubmitStatusEnum(String operate, String submitDesc, String auditDesc, String dingSubmitQuery) {
        this.operate = operate;
        this.submitDesc = submitDesc;
        this.auditDesc = auditDesc;
        this.dingSubmitQuery = dingSubmitQuery;
    }

    /**
     * 操作
     */
    private final String operate;

    /**
     * 考勤提交状态
     */
    private final String submitDesc;

    /**
     * 工时统计描述
     */
    private final String auditDesc;

    /**
     * 考勤提交衩裙
     */
    private final String dingSubmitQuery;

    public String getOperate() {
        return operate;
    }

    public String getSubmitDesc() {
        return submitDesc;
    }

    public String getAuditDesc() {
        return auditDesc;
    }

    public String getDingSubmitQuery() {
        return dingSubmitQuery;
    }

    @Override
    public String toString() {
        return submitDesc;
    }
}
